---
title: "Update"
date: 2022-11-17T23:07:49+01:00
---

## Einleitung
Bitte halte deinen Router auf einem aktuellen Stand. Ein altes System kann Sicherheitslücken enthalten und Probleme für dich, aber auch für andere Freiunk-Teilnehmer verursachen. Dies gilt eigentlich sowieso für alle an das Internet angeschlossen Geräte, aber es schadet nicht das einmal häufiger zu erwähnen.

- [Anleitung:FirmwareUpdate](https://wiki.freifunk-franken.de/w/Anleitung:FirmwareUpdate)
- [Gefahren beim Update von Keyxchange v1 auf v2](https://wiki.freifunk-franken.de/w/KeyXchangeV2#Gefahren_eines_Updates_vom_alten_System)

Die Freifunk Franken Firmware hat keinen Autoupdater. Wir erwarten von jedem Freifunker, der einen Freifunkrouter betreibt, dass er sich um seinen Router kümmert. Du bist für deinen Router selbst verantwortlich.

## Aktuelle Version herausfinden
Welche Firmwareversion installiert ist kann entweder dem [Monitoring](https://monitoring.freifunk-franken.de/) oder dem Webinterface des Routers entnommen werden.
Außerdem wird die aktuelle installierte Version auch beim [Verbinden per SSH](https://wiki.freifunk-franken.de/w/Anleitungen#SSH) im Banner angezeigt.

## Vor dem Update
Bei diversen älteren Firmware-Versionen gab es kleinere Bugs oder Gemeinheiten, die beim Update beachtet werden müssen.
Vor dem Update müssen daher unbedingt die [versionsspezifischen Hinweise](Anleitung:FirmwareUpdate#Besonderheiten_beim_Update "wikilink") für die aktuelle Version des Routers und die Zielversion des Updates gelesen werden.

Bei einem Update wird **sämtliche OpenWrt Konfiguration** (sowie auch alle anderen Dateien) **verworfen** und aus der Freifunk Konfiguration neu erzeugt. Per Kommandozeile erfolgte manuelle Anpassungen an der OpenWrt Konfiguration müssen nach dem Update erneut vorgenommen werden.

## Update herunterladen
Egal welche Variante gewählt wird: Wenn bereits eine frühere Freifunk Franken Firmware oder ein anderes OpenWrt auf dem Gerät installiert ist muss immer das **`sysupgrade`** Firmware-Image verwendet werden.

Die **`sysupgrade`** Firmware-Images können für beide Firmware-Varianten auf [dev.freifunk-franken.de](https://dev.freifunk-franken.de) heruntergeladen werden und sind auch auf den [Geräteseiten](/firmware/hardware) verlinkt.

## Update installieren
Es gibt drei Möglichkeiten die aktuellste Version zu installieren
- Über das Webinterface
- Über die Kommandozeile (automatisch)
- Über die Kommandozeile (manuell)

In jedem Fall muss der Router erreichbar sein, damit das Webinterface oder die Kommandozeile geöffnet werden können.
Dazu muss der eigene Rechner mit den Freifunk-Netz verbunden sein.

Mit dem Webinterface oder der Kommandozeile verbinden: [Anleitung](https://wiki.freifunk-franken.de/w/Anleitungen#Zugriff_auf_den_Router)

### Möglichkeit 1: Webinterface
1. Webinterface öffnen und einloggen
2. Im Menü auf `Upgrade` klicken
3. Das sysupgrade Firmware-Image hochladen
4. `Upgrade`-Button klicken

Die Option **`Konfiguration behalten`** bewirkt, dass alle Freifunk-Einstellungen (Passwort, Position, Beschreibung etc.) beim Update übernommen werden.


### Möglichkeit 2: Update-Skript
Dies ist die schnellste Möglichkeit die aktuellste Version zu installieren, da der Router die Firmware selbstständig herunterlädt.
Die Freifunk-Einstellungen werden immer übernommen.

1. Per SSH auf dem Router einloggen
2. `fff-upgrade.sh` ausführen
3. Rückfragen mit `y`/`n` und `Enter` bestätigen

Selten kann es passieren, dass der Router das Firmware-Image nicht findet. Dabei handelt es sich um einen gerätespezifischen Bug. Bitte an die Community melden, am besten per E-Mail.

### Möglichkeit 3: Kommandozeile
Zuerst die Firmware per SCP auf den Router kopieren:
{{< tabs "uniqueid" >}}
{{< tab "Windows" >}}
Die Firmware kann mit [WinSCP](https://winscp.net/eng/download.php) auf den Router kopiert werden

1. WinSCP starten und als Übertragungsprotokoll `SCP` währen
2. Die IP-Adresse des Routers eintragen
3. Zugangsdaten eintragen (User: `root`)
4. Die Firmware per Drag-and-Drop in das Verzeichnis `/tmp` auf dem Router kopieren

TODO: Bild einfügen: Winscp-connection-settings.jpg  
TODO: Bild einfügen: Winscp-copy-firmware.jpg

Statt WinSCP kann auch [PSCP](http://www.chiark.greenend.org.uk/~sgtatham/putty/download.html) verwendet werden:
```sh
pscp -scp -6 fff-variante-version-geraet-sysupgrade.bin root@[fdff::1]:/tmp/firmware.bin
```
{{< /tab >}}
{{< tab "macOS" >}}
Im Terminal ausführen:
```sh
scp ~/Downloads/fff-variante-version-geraet-sysupgrade.bin root@[fdff::1]:/tmp/firmware.bin
```
{{< /tab >}}
{{< tab "Linux" >}}
Im Terminal ausführen:
```sh
scp -O ~/Downloads/fff-variante-version-geraet-sysupgrade.bin root@[fdff::1]:/tmp/firmware.bin
```

Die Option `-O` ist bei aktuellen Versionen von OpenSSH nötig, da sonst `sftp` für die Übertragung genutzt wird, was mit OpenWrt aber nicht funktioniert.
{{< /tab >}}
{{< tab "Direktdownload" >}}
1. Per SSH auf dem Router einloggen
2. Das Verzeichnis `/tmp` öffnen
3. Firmware herunterladen
```sh
cd /tmp
curl -o firmware.bin https://dev.freifunk-franken.de/layer3/current/fff-variante-version-geraet-sysupgrade.bin
```
{{< /tab >}}
{{< /tabs >}}

Das Image auf dem Gerät installieren:
1. Per SSH auf dem Router einloggen
2. `sysupgrade /tmp/firmware.bin` ausführen

Die Einstellungen werden dabei behalten.
Mit `sysupgrade -n /tmp/firmware.bin` wird die Firmware installiert und die Einstellungen verworfen.
