---
title: "Ubiquiti ER-X / ER-X-SFP / EP-R6"
date: 2022-12-01T17:25:00+01:00
---

<!--more-->

## Installation

### OpenWrt installieren

{{< hint info >}}
Für den EP-R6 muss ein ausreichend aktuellen OpenWrt verwendet werden, damit die Installation per Web-UI funktioniert.
{{< /hint >}}
{{< hint info >}}
Die Installation per TFTP funktioniert nur, wenn der TFTP-Modus über die serielle Konsole aktiviert wird.
Der mit einem aktualisierten Bootloader hinzu gekommene TFTP-Modus per Reset-Button erwartet ein signiertes Image und funktioniert daher nicht.
{{< /hint >}}

{{< tabs >}}
{{< tab "Per Web-UI" >}}
Für die Installation über das Hersteller Web-UI kann ein spezielles initramfs Image verwendet werden.
Leider fehlt dieses Image in den OpenWrt Downloads, da die Standardkonfiguration zu groß ist.

Stattdessen kann dieses Image verwendet werden, um ein OpenWrt zu installieren: https://fw.sgstbr.de/tools/edgerouter-x/
Die für dieses Image verwendete OpenWrt Version und Konfiguration findet sich ebenfalls auf dieser Seite.

- Web UI öffnen und einloggen
  - **Port:** `eth0`
  - **IP-Konfiguration:** statisch, `192.168.1.2/24`
  - **IP des Routers:** `192.168.1.1`
  - **User:** ubnt
  - **Passwort:** ubnt
- Image hochladen und installieren
{{< / tab >}}

{{< tab "Per TFTP" >}}
Zunächst muss das OpenWrt initramfs heruntergeladen werden: `*-initramfs-kernel.bin`.  
Für OpenWrt 22.03.2:
- [EdgeRouter X](https://downloads.openwrt.org/releases/22.03.2/targets/ramips/mt7621/openwrt-22.03.2-ramips-mt7621-ubnt_edgerouter-x-initramfs-kernel.bin)
- [Edgerouter X SFP / EdgePoint R6](https://downloads.openwrt.org/releases/22.03.2/targets/ramips/mt7621/openwrt-22.03.2-ramips-mt7621-ubnt_edgerouter-x-sfp-initramfs-kernel.bin)

Das heruntergeladene Image booten (vgl. [OpenWrt Wiki](https://openwrt.org/inbox/toh/ubiquiti/ubiquiti_edgerouter_x_er-x_ka#serial_installation_with_tftp)):
- Über serielle Konsole anschließen ([pinout](https://openwrt.org/toh/ubiquiti/edgerouter_x_er-x_ka#serial))
- Während dem Booten die Option 1 auswählen
- Das heruntergeladene `-initramfs-kernel.bin` per TFTP bereitstellen:
  ```sh
  mkdir tftp
  cp ~/Downloads/*-initramfs-kernel.bin tftp/
  cd tftp
  sudo in.tftpd -l -L -s .
  ```
- Image per TFTP über eth0 booten (den Anweisungen des Bootloaders folgen)

Es ist nun ein OpenWrt gebootet, mit dem nun die Freifunk Firmware installiert werden kann.
{{< / tab >}}
{{< / tabs >}}

### Freifunk Firmware installieren
Mit dem nun laufenden OpenWrt kann die Freifunk-Firmware über SSH geflasht werden.

{{< hint info >}}
OpenWrt verwendet eine andere Portkonfiguration, daher muss jetzt auf den Port `eth1` gewechselt werden.
{{< /hint >}}

- Über den Port `eth1` in OpenWrt einloggen
  - **Konfiguration des Laptops:** DHCP
  - **IP des Routers:** 192.168.1.1
  - **User:** root
- Freifunk Firmware flashen
  ```sh
  scp -O ~/Downloads/fff-firmware.bin root@192.168.1.1:/tmp/
  
  ssh root@192.168.1.1
  # Wichtig: -n nicht vergessen!
  sysupgrade -n /tmp/fff-firmware.bin
  ```

{{< hint info >}}
Die Portbelegung des Routers ändert sich abermals, dieses mal auf den von Freifunk gewohnten Standard:
- **eth0:** WAN
- **eth1, eth2:** BATMAN (falls node-Firmware)
- **eth3, eth4:** CLIENT
{{< /hint >}}


## Ports für Layer3 Konfiguration
- Alle Geräte
  - `eth0:*` bzw. `eth0:t`  
  - `eth1:*` bzw. `eth1:t`
  - `eth2:*` bzw. `eth2:t`
  - `eth3:*` bzw. `eth3:t`
  - `eth4:*` bzw. `eth4:t`

- Nur für ERX-SFP und EP-R6
  - `eth5:*` bzw. `eth5:t`

## Links
- [OpenWRT Wiki](https://openwrt.org/toh/ubiquiti/edgerouter_x_er-x_ka)  
